package cn.iocoder.yudao.module.erp.controller.admin.product.vo.product;

import lombok.Builder;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * ERP 产品 Excel 导入响应 VO
 */
@Data
@Builder
public class ErpProductImportRespVO {

    /**
     * 成功导入的产品名称列表
     */
    private List<String> createNames;

    /**
     * 更新的产品名称列表
     */
    private List<String> updateNames;

    /**
     * 失败的产品名称列表，key: 产品名称，value: 失败原因
     */
    private Map<String, String> failureNames;

    public ErpProductImportRespVO() {
        this.createNames = new ArrayList<>();
        this.updateNames = new ArrayList<>();
        this.failureNames = new LinkedHashMap<>();
    }

    public ErpProductImportRespVO(List<String> createNames, List<String> updateNames, Map<String, String> failureNames) {
        this.createNames = createNames;
        this.updateNames = updateNames;
        this.failureNames = failureNames;
    }
}